Wrapper class for readers, which can be used to apply filters.

package | phing.system.io
author | Hans Lellelid
author | Yannick Lecaillez
version | $Id$

### Methods

## __construct()

    __construct(\Reader $in)

### Parameters

#### $in

## Close stream.

    close()

### Exceptions

`\IOException` | if there is an error closing stream

## Returns the filename, url, etc.

    getResource() : string

that is being read from. This is critical for, e.g., ExpatParser's ability to know the filename that is throwing an ExpatParserException, etc.

### Returns

`string`

## If supported, places a "marker" (like a bookmark) at current stream position.

    mark()

Inherited

A subsequent call to reset() will move stream position back to last marker (if supported).

inherited_from | \Reader::mark()

## Whether marking is supported.

    markSupported() : boolean

Inherited

inherited_from | \Reader::markSupported()

### Returns

`boolean`

## Read data from source.

    read(int $len)

FIXME: Clean up this function signature, as it a) params aren't being used and b) it doesn't make much sense.

### Parameters

#### $len

`int`

## Is stream ready for reading.

    ready() : boolean

Inherited

inherited_from | \Reader::ready()

### Returns

`boolean`

## Reset the current position in stream to beginning or last mark (if supported).

    reset()

## setReader()

    setReader(\Reader $in)

### Parameters

#### $in

## Move stream position relative to current pos.

    skip(int $n)

### Parameters

#### $n

`int`

### Properties

##

    $in : \Reader